<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ExecutionContext](./puppeteer.executioncontext.md) &gt; [(constructor)](./puppeteer.executioncontext._constructor_.md)

## ExecutionContext.(constructor)

Constructs a new instance of the `ExecutionContext` class

<b>Signature:</b>

```typescript
constructor(client: CDPSession, contextPayload: Protocol.Runtime.ExecutionContextDescription, world: DOMWorld);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |
|  contextPayload | Protocol.Runtime.ExecutionContextDescription |  |
|  world | DOMWorld |  |

